<template>
        <el-card class="btn-list" shadow="never">
                    <div v-for="btn in btnList" :key="btn.text"> 
                        <el-button color="rgb(252, 224, 101)" :dark="isDark" @click="navigateToAbout(btn.type)">
                            <el-icon><component :is="btn.icon"></component></el-icon>
                            {{ btn.text }}</el-button>
                    </div>
                </el-card>
</template>
  
<script lang="ts" setup>
import { defineComponent } from 'vue';
import { reactive, ref } from 'vue';
import { useRoute, useRouter } from 'vue-router';
const btnList = reactive([
    {
        text:'发布帖子',
        type:'all',
        icon:'Edit'
    },
    {
        text:'发布图文',
        type:'image',
        icon:'Picture'
    },
    {
        text:'发布视频',
        type:'video',
        icon:'VideoCameraFilled'
    },
]);
const router = useRouter();
const navigateToAbout = (type:String) => {
            router.push({ path: `/addPost/${type}` });
            };
</script>
  
<style lang="less" scoped>
.btn-list{
    width: 100%;
    height: 240px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    div{
        margin:20px;
        .el-button{
            width: 160px;
            height: 50px;
            // color: rgb(252, 224, 101);
            color: black;
            .el-icon{
                font-size: 30px;
                padding-right: 10px;
            }
        }
    }
}
</style>